Package org.apache.cxf.service.factory

# Class FactoryBeanListenerManager

java.lang.Object
org.apache.cxf.service.factory.FactoryBeanListenerManager

public class FactoryBeanListenerManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FactoryBeanListenerManager()`
  `FactoryBeanListenerManager(Bus b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addListener(FactoryBeanListener l)`
  `List<FactoryBeanListener>`
  `getListeners()`
  `void`
  `removeListener(FactoryBeanListener l)`
  `final void`
  `setBus(Bus bus)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FactoryBeanListenerManager

    public FactoryBeanListenerManager()

  - ### FactoryBeanListenerManager

    public FactoryBeanListenerManager(Bus b)

- ## Method Details

  - ### setBus

    public final void setBus(Bus bus)

  - ### getListeners

    public List<FactoryBeanListener> getListeners()

  - ### addListener

    public void addListener(FactoryBeanListener l)

  - ### removeListener

    public void removeListener(FactoryBeanListener l)